Package twisted :: Package internet :: Package iocpreactor :: Module address

[frames | no frames]

## Module twisted.internet.iocpreactor.address

Function Summary
| ``getFull`(addr, (family, type, protocol))` return a tuple suitable for getHost, getPeer and such
| ``getHost`(addr, (family, type, protocol))` return something to pose as hostname
| ``getPort`(addr, (family, type, protocol))` return value suitable for "port starting on"
| `getShortProtoName((family, type, protocol))`

Function Details

### getFull(addr, (family, type, protocol))

return a tuple suitable for getHost, getPeer and such

### getHost(addr, (family, type, protocol))

return something to pose as hostname

### getPort(addr, (family, type, protocol))

return value suitable for "port starting on"

Generated by Epydoc 2.0 on Sat May 15 20:07:50 2004 | http://epydoc.sf.net